<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Aggregate</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects, class: Aggregate">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Aggregate.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects</a></div>
<h1 title="Class Aggregate" class="title">Class Aggregate</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.Aggregate</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Aggregate</span>
extends <a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) org.locationtech.jts.geom.Polygon</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#p">p</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#DEBUG">DEBUG</a>, <a href="ICIObject.html#ID">ID</a>, <a href="ICIObject.html#rdGen">rdGen</a>, <a href="ICIObject.html#type">type</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,org.locationtech.jts.geom.Polygon)">Aggregate</a></span>&#8203;(java.lang.String&nbsp;id,
org.locationtech.jts.geom.Polygon&nbsp;p)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature)">Aggregate</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;sf)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateSimpleFeature()">generateSimpleFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>org.locationtech.jts.geom.Polygon</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP()">getP</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSFB()">getSFB</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static java.util.List&lt;<a href="Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importAggreg(java.io.File)">importAggreg</a></span>&#8203;(java.io.File&nbsp;aggregFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setP(org.locationtech.jts.geom.Polygon)">setP</a></span>&#8203;(org.locationtech.jts.geom.Polygon&nbsp;p)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="ICIObject.html#getID()">getID</a>, <a href="ICIObject.html#getType()">getType</a>, <a href="ICIObject.html#hashCode()">hashCode</a>, <a href="ICIObject.html#setRdGen(java.util.Random)">setRdGen</a>, <a href="ICIObject.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="p">
<h3>p</h3>
<div class="member-signature"><span class="return-type">org.locationtech.jts.geom.Polygon</span>&nbsp;<span class="member-name">p</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,org.locationtech.jts.geom.Polygon)">
<h3>Aggregate</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Aggregate</span>&#8203;(<span class="parameters">java.lang.String&nbsp;id,
org.locationtech.jts.geom.Polygon&nbsp;p)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(org.opengis.feature.simple.SimpleFeature)">
<h3>Aggregate</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Aggregate</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;sf)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="importAggreg(java.io.File)">
<h3>importAggreg</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a>&gt;</span>&nbsp;<span class="member-name">importAggreg</span>&#8203;(<span class="parameters">java.io.File&nbsp;aggregFile)</span>
                                              throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getP()">
<h3>getP</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.Polygon</span>&nbsp;<span class="member-name">getP</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setP(org.locationtech.jts.geom.Polygon)">
<h3>setP</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setP</span>&#8203;(<span class="parameters">org.locationtech.jts.geom.Polygon&nbsp;p)</span></div>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateSimpleFeature</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#generateSimpleFeature()">generateSimpleFeature</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSFB</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#getSFB()">getSFB</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Aggregate.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
